> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List traces for a project



## OpenAPI

````yaml get /v1/projects/{project_identifier}/traces
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/projects/{project_identifier}/traces:
    get:
      tags:
        - traces
      summary: List traces for a project
      operationId: listProjectTraces
      parameters:
        - name: project_identifier
          in: path
          required: true
          schema:
            type: string
            description: 'The project identifier: either project ID or project name.'
            title: Project Identifier
          description: 'The project identifier: either project ID or project name.'
        - name: start_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Inclusive lower bound on trace start time (ISO 8601)
            title: Start Time
          description: Inclusive lower bound on trace start time (ISO 8601)
        - name: end_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Exclusive upper bound on trace start time (ISO 8601)
            title: End Time
          description: Exclusive upper bound on trace start time (ISO 8601)
        - name: sort
          in: query
          required: false
          schema:
            enum:
              - start_time
              - latency_ms
            type: string
            description: Sort field
            default: start_time
            title: Sort
          description: Sort field
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Sort direction
            default: desc
            title: Order
          description: Sort direction
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            exclusiveMinimum: 0
            description: Maximum number of traces to return
            default: 100
            title: Limit
          description: Maximum number of traces to return
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination cursor (Trace GlobalID)
            title: Cursor
          description: Pagination cursor (Trace GlobalID)
        - name: include_spans
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              If true, include full span details for each trace. This
              significantly increases response size and query latency,
              especially with large page sizes. Prefer fetching spans lazily for
              individual traces when possible.
            default: false
            title: Include Spans
          description: >-
            If true, include full span details for each trace. This
            significantly increases response size and query latency, especially
            with large page sizes. Prefer fetching spans lazily for individual
            traces when possible.
        - name: session_identifier
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              List of session identifiers to filter traces by. Each value can be
              either a session_id string or a session GlobalID. Only traces
              belonging to the specified sessions will be returned.
            title: Session Identifier
          description: >-
            List of session identifiers to filter traces by. Each value can be
            either a session_id string or a session GlobalID. Only traces
            belonging to the specified sessions will be returned.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTracesResponseBody'
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity
components:
  schemas:
    GetTracesResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TraceData'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetTracesResponseBody
    TraceData:
      properties:
        id:
          type: string
          title: Id
        trace_id:
          type: string
          title: Trace Id
        project_id:
          type: string
          title: Project Id
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
        token_count_prompt:
          type: integer
          title: Token Count Prompt
          description: Cumulative prompt token count across all spans in the trace.
          default: 0
        token_count_completion:
          type: integer
          title: Token Count Completion
          description: Cumulative completion token count across all spans in the trace.
          default: 0
        token_count_total:
          type: integer
          title: Token Count Total
          description: >-
            Cumulative total token count across all spans in the trace (prompt +
            completion).
          default: 0
        spans:
          anyOf:
            - items:
                $ref: '#/components/schemas/TraceSpanData'
              type: array
            - type: 'null'
          title: Spans
      type: object
      required:
        - id
        - trace_id
        - project_id
        - start_time
        - end_time
      title: TraceData
    TraceSpanData:
      properties:
        id:
          type: string
          title: Id
        span_id:
          type: string
          title: Span Id
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        name:
          type: string
          title: Name
        span_kind:
          type: string
          title: Span Kind
        status_code:
          type: string
          title: Status Code
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
      type: object
      required:
        - id
        - span_id
        - parent_id
        - name
        - span_kind
        - status_code
        - start_time
        - end_time
      title: TraceSpanData

````